<!doctype html>
<html lang="it">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Oswald:wght@400;500;600;700&family=Roboto:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap" rel="stylesheet"> 
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css">
    
    <!-- slick carousel -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.css">
    
    
    <link rel="stylesheet" href="style.css">
    
    <title>Presto - Monitor PC</title>
</head>
<body>
    
    <!-- NAVBAR -->
    <header>
        <nav id="navbar" class="navbar navbar-expand-lg fixed-top navbar-light bg-light">
            <a class="navbar-brand" href="index.html">
                <img src="./media/logo-primary.png" width="80">
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a title="Home Page" class="nav-link" href="index.html">Home <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Chi Siamo</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Categorie
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" href="prodotti.html">Automobili</a>
                            <a class="dropdown-item" href="prodotti.html">Moto e Scooter</a>
                            <a class="dropdown-item" href="prodotti.html">Immobili</a>
                            <a class="dropdown-item" href="prodotti.html">Informatica</a>
                            <a class="dropdown-item" href="prodotti.html">Elettronica</a>
                        </div>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " href="#" tabindex="-1">Contattaci</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " href="#" tabindex="-1" data-toggle="modal" data-target="#loginWindow">Login/Registrazione</a>
                    </li>
                </ul>
                <form class="form-inline my-2 my-lg-0">
                    <input class="form-control mr-sm-2" type="search" placeholder="Cerca" aria-label="Cerca">
                    <button class="btn btn-custom my-2 my-sm-0" type="submit"><i class="fas fa-search-plus"></i> Cerca</button>
                </form>
            </div>
        </nav>
    </header>
    
    <!-- ABOVE THE FOLD -->
    <section id="bg-prodotto" class="shadow mb-5">
        <div class="container h-100">
            <div class="row justify-content-center align-items-center h-100">
                <div class="col-12 header-container p-lg-5 p-3">
                    <h1>Elettronica</h1>
                    <p>Annunci presenti 342</p>
                </div>
            </div>
        </div>
    </section>
    
    <section class="container mb-5">
        <div class="row">
            <div class="col-md-4 mb-3">
                <div class="col-12 mb-4">
                    <h4 class="text-uppercase">Restringi la ricerca</h4>
                </div>
                <div class="col-12 mb-4">
                    <h5 class="mb-3">Filtra per categoria</h5>                    
                    <form id="categoryFilterForm" class="pl-4 p-2 border rounded" action="#">
                        
                    </form>
                </div>
                
                <div class="col-12 mb-4">
                    <h5 class="mb-3">Filtra per Tipo di Annuncio</h5>
                    
                    <form class="pl-4 p-2 border rounded" action="#">
                        <div class="custom-control custom-radio pb-1 pt-1">
                            <input type="radio" id="tipo-annuncio1" name="tipo-annuncio" class="custom-control-input">
                            <label class="custom-control-label" for="tipo-annuncio1">In vendita</label>
                        </div>
                        <div class="custom-control custom-radio pb-1 pt-1">
                            <input type="radio" id="tipo-annuncio2" name="tipo-annuncio" class="custom-control-input">
                            <label class="custom-control-label" for="tipo-annuncio2">In affitto</label>
                        </div>
                        <div class="custom-control custom-radio pb-1 pt-1">
                            <input type="radio" id="tipo-annuncio3" name="tipo-annuncio" class="custom-control-input">
                            <label class="custom-control-label" for="tipo-annuncio3">Cercasi</label>
                        </div>
                    </form>
                </div>
                
                <div class="col-12 mb-4">
                    <h5 class="mb-3">Filtra per Prezzo</h5>
                    <form class="pl-4 p-2 border rounded" action="#">
                        <label for="filtroPrezzo">Imposta un prezzo massimo: 500&euro;</label>
                        <input type="range" class="custom-range" min="20" max="500" step="10" id="filtroPrezzo">
                    </form>
                </div>
                
            </div>
            <div id="elenco-prodotti" class="col-md-8 mb-3">
                
            </div>
        </div>
    </section>
    
    
    <!-- FOOTER -->
    <footer class="text-white">
        <div class="container-fluid p-3 p-md-5 bg-primario">
            <div class="row justify-content-between">
                <div class="col-md-4">
                    <a href="#">
                        <img class="mb-5" src="./media/logo-bianco.png" width="200">
                    </a>
                    <h2 class="h1">Presto.com</h2>
                    <ul class="footer-info p-0 my-3">
                        <li class="p-2">
                            <i class="fa fa-home"></i> Lorem ipsum dolor sit amet consectetur adipisicing elit.
                        </li>
                        <li class="p-2">
                            <i class="fa fa-envelope"></i> <a href="emailto:info@presto.com" title="Invia una mail">info@presto.com</a>
                        </li>
                        <li class="p-2">
                            <i class="fa fa-phone"></i> <a href="tel:0123456789" title="Chiamaci">+39 012 3456789</a>
                        </li>
                    </ul>
                </div>
                <div class="col-md-4">
                    <h3>Maggiori Brand</h3>
                    <ul class="footer-info p-0 my-3">
                        <li class="pb-3">
                            <a href="#" title="Brands">Armani</a>
                        </li>
                        <li class="pb-3">
                            <a href="#" title="Brands">Gucci</a>
                        </li>
                        <li class="pb-3">
                            <a href="#" title="Brands">Divani & Divani</a>
                        </li>
                        <li class="pb-3">
                            <a href="#" title="Brands">Durex</a>
                        </li>
                        <li class="pb-3">
                            <a href="#" title="Brands">Mulino Bianco</a>
                        </li>
                    </ul>
                </div>
                <div class="col-md-4">
                    <div class="row mb-3">
                        <div class="col-12">
                            <h3>Seguici</h3>
                            <ul class="footer-info p-0 my-3">
                                <li class="p-2">
                                    <i class="fab fa-facebook"></i> <a href="#" title="Facebook">Facebook</a>
                                </li>
                                <li class="p-2">
                                    <i class="fab fa-twitter"></i> <a href="#" title="Twitter">Twitter</a>
                                </li>
                                <li class="p-2">
                                    <i class="fab fa-instagram"></i> <a href="#" title="Instagram">Instagram</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <h3>Pagamenti Sicuri</h3>
                    <img class="luminosita" src="./media/paypal.png" title="Pagamenti sicuri" width="300">
                </div>
            </div>
        </div>
        <div class="container-fluid bg-nero">
            <div class="row">
                <div class="col-12 text-center p-3 my-2 small">
                    <p>Presto&copy; - PI: 1234567890 - Tutte le bestemmie riservate</p>
                    <p>Via di qua, 34 - 80059 - Torre del Greco (NA)</p>
                </div>
            </div>
        </div>
    </footer>
    
    <!-- FINESTRA MODALE LOGIN -->
    <div class="modal fade" id="loginWindow" tabindex="-1" aria-labelledby="loginWindowLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12 text-center">
                            <a class="navbar-brand" href="#">
                                <img src="./media/logo-primary.png" width="180">
                            </a>
                            <h3>Sei già iscritto?</h3>
                        </div>
                        <div class="col-12">
                            <form>
                                <div class="form-group">
                                    <label for="emailLogin">Email</label>
                                    <input type="email" class="form-control" id="emailLogin" aria-describedby="emailHelp">
                                </div>
                                <div class="form-group">
                                    <label for="passwordLogin">Password</label>
                                    <input type="password" class="form-control" id="passwordLogin">
                                    <small id="emailHelp" class="form-text text-muted"><a href="#">Hai dimenticato la password?</a></small>
                                </div>
                                <div class="form-group form-check">
                                    <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                    <label class="form-check-label" for="exampleCheck1">Resta Collegato</label>
                                </div>
                                <div class="form-group text-center">
                                    <button type="button" class="btn btn-custom btn-lg">Entra</button> oppure
                                    <a href="registrazione.html" class="btn btn-custom-2 btn-lg">Registrati</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
    </div>
    
    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    
    <script src="script.js"></script>
    
    <!-- PRODUCTS EXAMPLES -->
    <script>
        fetch('products.json')
        .then(response => response.json())
        .then(data =>{
            
            function populateCategory(){
                let toAppend = document.querySelector('#categoryFilterForm')
                let categorie = Array.from(new Set(data.map(el => el.categoria))).sort()
                let index = 1
                
                categorie.forEach(el => {
                    let catSlug = el.split(' ').join('-')
                    let label = el.charAt(0).toUpperCase() + el.slice(1);
                    let col = document.createElement('div')
                    col.classList.add('custom-control', 'custom-radio', 'pb-1', 'pt-1')
                    col.innerHTML = `
                    <input type="radio" id="categoria${index}" name="categoria" class="custom-control-input">
                    <label class="custom-control-label" data-category="${catSlug}" for="categoria${index}">${label}</label>
                    `
                    toAppend.appendChild(col)
                    index++
                })
                
                let col = document.createElement('div')
                col.classList.add('custom-control', 'custom-radio', 'pb-1', 'pt-1')
                col.innerHTML = `
                <input type="radio" id="tutteCategorie" name="categoria" class="custom-control-input">
                <label class="custom-control-label" for="tutteCategorie">Tutte le categorie</label>
                `
                toAppend.appendChild(col)
                
                let labels = document.querySelectorAll('[data-category]')
                labels.forEach(el => {
                    el.addEventListener('click', () => {
                        console.log(el.dataset.category)
                        let filteredData = data.filter( prodotto => prodotto.categoria.split(' ').join('-') == el.dataset.category)
                        console.log(filteredData)
                        populateProducts(filteredData)
                    })
                })
                
                let tutteCategorie = document.querySelector('#tutteCategorie')
                tutteCategorie.addEventListener('click', () =>{ populateProducts(data)})
            }
            populateCategory()
            
            function populateProducts(dataInput){
                let elencoProdotti = document.querySelector('#elenco-prodotti')
                elencoProdotti.innerHTML = ''
                let inVetrina = '<span class="badge badge-success">Vetrina</span>'
                dataInput.forEach( el => {
                    let elementPrice = String(el.prezzo).split(',')
                    let divProdotto = document.createElement('div')
                    divProdotto.classList.add('product-card', 'border', 'rounded', 'mb-3', 'p-4')
                    divProdotto.innerHTML = `
                    <div class="row">
                        <div class="col-md-4">
                            <a href="prodotto.html" title="${el.articolo}"><img src="./media/new-products/${el.foto}" class="card-img img-fluid" alt="${el.articolo}"></a>
                        </div>
                        <div class="col-md-8">
                            <div class="position-relative">
                                <p class="float-right">
                                    <a href="#" title="Condividi">
                                        <i class="fa fa-share-alt mr-3"></i>
                                    </a>
                                    <a href="#" title="Aggiungi ai favoriti">
                                        <i class="fa fa-heart"></i>
                                    </a>
                                </p>
                                <h4><a href="prodotto.html" title="${el.articolo}">${el.articolo}</a></h4>
                                <p><i class="fa fa-map-marker-alt light-text"></i> <span class="text-uppercase font-weight-bold">Napoli (na)</span> - Oggi alle 13:30</p>
                                <p class="prezzo-prodotto">${elementPrice[0]}${(elementPrice[1] != undefined) ? ',<span>'+elementPrice[1]+'&euro;</span>' : ',<span>00&euro;</span>'}&nbsp;${(el.vetrina) ? inVetrina : ''}</p>
                            </div>
                        </div>
                    </div>
                    `
                    elencoProdotti.appendChild(divProdotto)
                })
                let navigation = document.createElement('div')
                navigation.classList.add('col-12', 'mt-5', 'd-flex', 'justify-content-center')
                navigation.innerHTML = `
                <nav>
                    <ul class="pagination">
                        <li class="page-item disabled"><a class="page-link" href="#"><i class="fas fa-chevron-left"></i></a></li>
                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                        <li class="page-item"><a class="page-link" href="#">...</a></li>
                        <li class="page-item"><a class="page-link" href="#">10</a></li>
                        <li class="page-item"><a class="page-link" href="#"><i class="fas fa-chevron-right"></i></a></li>
                    </ul>
                </nav>
                `
                elencoProdotti.appendChild(navigation)
            }
            populateProducts(data)
            
            /*                 <div class="col-12 m-4">
                <p class="m-0 font-weight-bold">342 Risultati</p>
                <h4>Annunci in tutta Italia</h4>
            </div> */
        })
    </script>
    
</body>
</html>